//Создание задачи диспетчерского вызова прочих задач
function ManageSystemFormalModelingProjectCmdCmdFile(ProjectDirectory,..//Имя директории проекта
                                                     tasksSplit,..//Разделитель доступных задач
                                                     pauseSeconds..//Время паузы (в секундах)
                                                     )
    //Анализируем аргументы
    select argn(2)
    case 0 then
        ProjectDirectory = pwd();
        tasksSplit = ',';
        pauseSeconds = 0;
    case 1 then
        if type(ProjectDirectory) == 1 then
            pauseSeconds = ProjectDirectory;
            ProjectDirectory = pwd();
        else
            pauseSeconds = 0;
        end
        tasksSplit = ',';
    case 2 then
        if type(tasksSplit) == 1 then
            pauseSeconds = tasksSplit;
            tasksSplit = ',';
        else
            pauseSeconds = 0;
        end
    end
    
    //Функция чтения команды
    function [messages,isQuesion]=readCommandFromFile(CommandPoint)
        //Читаем информацию из файла
        [messages,..//Сообщения
         isNewQuesion,..//Новый вопрос ли?
         isQuesion,..
         isAnsweredQuesion]=ReadCommandFromFile(CommandPoint);
         
        //Это вопрос, на который не получен ответ?
        isQuesion = isQuesion && (~isAnsweredQuesion);
    endfunction
    
    //Функция обработки ошибок
    function ErrorFunctionCmd(regCode,CommandPoint,ProjectName)
        disp('Project ' + ProjectName + ': ' + CommandPoint + ': Error execute, Code: ' + string(regCode));
    endfunction
    
    //Функция действий после регистрации задачи
    function AfterRegistrationTasksFunctionCmd(CommandPoint,Task,ProjectName)
        disp('Project ' + ProjectName + ': The task ' + Task + ' on command point ' + CommandPoint + ' is registered sucsessfully!');
    endfunction
    
    //Функция проверки точки обмена сообщениями
    function regCode = IsRegisteredMessageFilePointCmd(CommandPoint)
        if isRegisteredMessageFilePoint(CommandPoint) then
            regCode = 0;
        else
            regCode = 1;
        end
    endfunction
    
    //Выбор задачи для запуска
    function [launchTask]=SelectLaunchTask(enabledTasks,..
                                           commandPoints,..
                                           CommandPoint)
        launchTask = enabledTasks(1);
    endfunction

    //Запускаем проект с соответсвующими функциями ввода-вывода
    ManageSystemFormalModelingProject('AfterRegistrationTasksFunctionCmd',..//Функция, вызываемая после регистрации задач
                                      'ErrorFunctionCmd',..//Функция нештатных ситуаций
                                      list('input','s'),..//Функция получения сообщения
                                      'disp',..//Функция отправки сообщения
                                      'dispCommandToFile',..//Функция отправки сообщения от задач
                                      'readCommandFromFile',..//Функция получения сообщения с точки
                                      'AskToQuensionToFile',..//Функция отправки сообщения на точку
                                      'IsRegisteredMessageFilePointCmd',..//Функция проверки регистрации точки обмена сообщениями
                                      'SelectLaunchTask',..//Функция выбора задачи для запуска на текущем вычислительном узле
                                      ProjectDirectory,..//Имя директории проекта
                                      tasksSplit,..//Разделитель доступных задач
                                      pauseSeconds..//Время паузы (в секундах)
                                      );
endfunction
